Bug 241428

Summary: menu entries a) have no icons b) have no error reporting
Product: [Fedora] Fedora Reporter: Bill Nottingham <notting>
Component: gpsdAssignee: Douglas E. Warner <silfreed>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: matt, rvokal
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.34-4.fc7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 17:19:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Bill Nottingham 2007-05-25 21:58:59 UTC
Description of problem:

First, the menu entries don't have icons, which makes them stand out.

Second, if no gpsd is running, they just silently exit without showing
any error message.

Version-Release number of selected component (if applicable):

gpsd-clients-2.34-3.fc7

Comment 1 Matthew Truch 2007-06-29 18:37:18 UTC
These are two separate bugs.  Perhaps in the future you would consider
submitting separate bug reports.    

a) Hmmmm, they used to have icons; some generic one that is perhaps no longer
included (or only included in some obscure rpm you nor I have installed.  I'm in
the process of getting permission to package one up from the gpsd people.  

b) Hmmmm, yup, this is true.  Unless there is a way to properly catch the error
message that xgps and xgpsspeed send to the command-line, I'll request upstream
to move the error to a gui window.  

Comment 2 Matthew Truch 2007-07-01 22:11:36 UTC
The icon issue has been resolved, and is in rawhide as well as Fedora 7
updates-testing.  

Comment 3 Fedora Update System 2007-07-02 16:07:41 UTC
gpsd-2.34-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2007-07-12 23:38:24 UTC
gpsd-2.34-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Matthew Truch 2007-08-01 12:41:13 UTC
Reopening this bug: It was a two part (unrelated) BZ entry, and the updates push
only fixed part a).  The "no error reporting" part is still there.  

Comment 6 Bug Zapper 2008-05-14 02:56:22 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Douglas E. Warner 2009-02-12 18:52:43 UTC
I've submitted the part about xgpsspeed not reporting errors upstream [1].  It appears that xgps works as expected now, so it should just be this one program left.

[1] https://developer.berlios.de/bugs/?func=detailbug&bug_id=15255&group_id=2116

Comment 8 Bug Zapper 2009-06-09 22:37:13 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-07-14 17:19:27 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.